;;;-*- Mode: Lisp; Package: CL-USER -*-
;;; Ystok-Local-Time - LispWorks system definition
;;; Copyright (c) 2002-2011 Dr. Dmitriy Ivanov. All rights reserved.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(in-package :cl-user)

;(pushnew :debug *features*)
;(removef *features* :debug)
;(yl:debug-on :lt) (yl:debug-off :lt)
;(load #P"PROJECTS:ylib;defsys")
;(lw:compile-system 'YSTOK-LIBRARY :load t)
;#+debug (toggle-source-debugging t)

(defsystem LOCAL-TIME (:object-pathname (lw:current-pathname
   #+(and (not lispworks4.3) (not Russian) (not German) (not debug))	"bin/"
   #+(and (not lispworks4.3) (not Russian) (not German) debug)		"bin/debug/"
   #+(and (not lispworks4.3) Russian (not debug))			"bin/ru/"
   #+(and (not lispworks4.3) Russian debug)				"bin/debug/ru/"
   #+(and (not lispworks4.3) German (not debug))			"bin/de/"
   #+(and (not lispworks4.3) German debug)				"bin/debug/de/"
   #+(and lispworks4.3 (not Russian) (not German) (not debug))		"bin/lw4.3/"
   #+(and lispworks4.3 Russian (not debug))				"bin/lw4.3/ru/"))
  :members ((YSTOK-LIBRARY :type :system)
            "lt-package"
            "basics"
            #+(and lispworks win32) "lw-win32"
            #-(and lispworks win32) "unix"
            ;#+(and unix (not uffi)) "unix"
            ;#+(and unix uffi)	    "unix-uffi"
            "timezone"
            "core"
            "duration"
            "parse-time"
            "print-time"
            "operations"
            #+ys-product "interval"
            #+ys-product "parse-interval"
            "utils")
  :rules ((:in-order-to :compile :all (:requires (:load :previous)))
          (:in-order-to :load :all (:requires (:load :previous))))
 )

#+ys-product 
(ys:defmodule :local-time (1 2 :abbrev "tim") :depends-on :ylib)

;(compile-system 'LOCAL-TIME :load t)
