;;; Ystok-Local-Time - ASDF System definition
;;; Copyright (c) 2002-2011 Dr. Dmitriy Ivanov. All rights reserved.

(in-package :cl-user)

(asdf:defsystem ystok-local-time
  :author "Dmitriy Ivanov <divanov_nosp@m_aha.ru (replace _nosp@m_ by @)>"
  :licence "Lessor Lisp General Public License, see file COPYING.txt"
  :description "Extension of LOCAL-TIME concept proposed by Erik Naggum"
  :depends-on (ystok-library)
  :serial t
  :components 
  ((:file "lt-package")
   (:file "basics")
   #+(and lispworks win32) (:file "lw-win32")
   #-(and lispworks win32) (:file "unix")
   ;#+(and unix (not uffi)) (:file "unix")
   ;#+(and unix uffi)       (:file "unix-uffi")
   (:file "timezone")
   (:file "core")
   (:file "duration")
   (:file "parse-time")
   (:file "print-time")
   (:file "operations")
   #+ys-product (:file "interval")
   #+ys-product (:file "parse-interval")
   (:file "utils")))

;(asdf:operate 'asdf:load-op 'ystok-local-time)